> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solo.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a business consent record (direct, server-to-server). Returns a consent_id used for all subsequent queries.

> Create a business consent record (direct, server-to-server). Returns a consent_id used for all subsequent queries.



## OpenAPI

````yaml POST /v1/consent/business
openapi: 3.1.0
info:
  title: SOLO Network API
  version: v1
servers:
  - url: https://api.solo.one
    description: Production
  - url: https://api.sandbox.solo.one
    description: Sandbox
security: []
paths:
  /v1/consent/business:
    post:
      tags:
        - Business
      summary: >-
        Create a business consent record (direct, server-to-server). Returns a
        consent_id used for all subsequent queries.
      description: >-
        Create a business consent record (direct, server-to-server). Returns a
        consent_id used for all subsequent queries.
      operationId: consent_business_create_v1_consent_business_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsentBusinessCreateInput'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsentBusinessCreateOutput'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ConsentBusinessCreateInput:
      properties:
        did_gather_consent_from_business_prior:
          type: boolean
          title: Did Gather Consent From Business Prior
        business_consent_identity:
          $ref: '#/components/schemas/BusinessConsentIdentityInput'
        identity:
          $ref: '#/components/schemas/IdentityInput'
      type: object
      required:
        - did_gather_consent_from_business_prior
        - business_consent_identity
        - identity
      title: ConsentBusinessCreateInput
      description: >-
        Create a business consent record (direct, server-to-server). Returns a
        consent_id used for all subsequent queries.
    ConsentBusinessCreateOutput:
      properties:
        consent_id:
          type: string
          title: Consent Id
        consented_fields:
          type: string
          title: Consented Fields
        created_at:
          type: string
          title: Created At
        events:
          type: string
          title: Events
        scope:
          type: string
          title: Scope
      type: object
      required:
        - consent_id
        - consented_fields
        - created_at
        - events
        - scope
      title: ConsentBusinessCreateOutput
      description: >-
        Create a business consent record (direct, server-to-server). Returns a
        consent_id used for all subsequent queries.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BusinessConsentIdentityInput:
      properties:
        business_dba_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Dba Name
        business_jurisdiction_of_formation:
          type: string
          title: Business Jurisdiction Of Formation
        business_legal_name:
          type: string
          title: Business Legal Name
        business_registration_identifier_from_jurisdiction_of_formation:
          type: integer
          title: Business Registration Identifier From Jurisdiction Of Formation
        business_tax_identifier_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Tax Identifier Type
        business_tax_identifier_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Tax Identifier Value
        business_website_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Website Url
      type: object
      required:
        - business_jurisdiction_of_formation
        - business_legal_name
        - business_registration_identifier_from_jurisdiction_of_formation
      title: BusinessConsentIdentityInput
    IdentityInput:
      properties:
        business_dba_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Dba Name
        business_jurisdiction_of_formation:
          type: string
          title: Business Jurisdiction Of Formation
        business_legal_name:
          type: string
          title: Business Legal Name
        business_registration_identifier_from_jurisdiction_of_formation:
          type: integer
          title: Business Registration Identifier From Jurisdiction Of Formation
        business_tax_identifier_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Tax Identifier Type
        business_tax_identifier_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Tax Identifier Value
        business_website_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Website Url
      type: object
      required:
        - business_jurisdiction_of_formation
        - business_legal_name
        - business_registration_identifier_from_jurisdiction_of_formation
      title: IdentityInput
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````